Package org.apache.sling.sitemap.impl.builder

## Class UrlImpl

- java.lang.Object
- - org.apache.sling.sitemap.impl.builder.UrlImpl

All Implemented Interfaces:
  `Url`

    public class UrlImpl
    extends Object
    implements Url

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.sling.sitemap.builder.Url

`Url.ChangeFrequency`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T extends Extension> T` `addExtension​(Class<T> extensionInterface)` Adds an extension to the url.
`@NotNull Url` `setChangeFrequency​(@NotNull Url.ChangeFrequency changeFrequency)` Sets the change frequency of the url.
`@NotNull Url` `setLastModified​(@NotNull Instant pointInTime)` Sets the last modified time of the url.
`@NotNull Url` `setPriority​(double priority)` Sets the priority of the url.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setChangeFrequency

    @NotNull
    public @NotNull Url setChangeFrequency​(@NotNull
                                           @NotNull Url.ChangeFrequency changeFrequency)

Description copied from interface: `Url`
Sets the change frequency of the url.

Specified by:
  `setChangeFrequency` in interface `Url`
Returns:

#### setLastModified

    @NotNull
    public @NotNull Url setLastModified​(@NotNull
                                        @NotNull Instant pointInTime)

Description copied from interface: `Url`
Sets the last modified time of the url.

Specified by:
  `setLastModified` in interface `Url`
Returns:

#### setPriority

    @NotNull
    public @NotNull Url setPriority​(double priority)

Description copied from interface: `Url`
Sets the priority of the url. According to the sitemap protocol the priority must be a number between 0.0 and 1.0. Values smaller or greater will be corrected to the lower and upper bound respectively.

Specified by:
  `setPriority` in interface `Url`
Returns:

#### addExtension

    @Nullable
    public <T extends Extension> T addExtension​(Class<T> extensionInterface)

Description copied from interface: `Url`
Adds an extension to the url.

Specified by:
  `addExtension` in interface `Url`
Type Parameters:
  `T` - the type of the extension
Parameters:
  `extensionInterface` - the interface of the extension to add
Returns:
  an instance of the given interface, or null when no `SitemapExtensionProvider` is registered for the given interface